# Swatch Schema

```txt
https://schema.legytma.com.br/1.1.2/schema/material_color.schema.json#/properties/swatch
```

Swatch colors


| Abstract            | Extensible | Status         | Identifiable | Custom Properties | Additional Properties | Access Restrictions | Defined In                                                                                  |
| :------------------ | ---------- | -------------- | ------------ | :---------------- | --------------------- | ------------------- | ------------------------------------------------------------------------------------------- |
| Can be instantiated | No         | Unknown status | No           | Forbidden         | Allowed               | none                | [material_color.schema.json\*](../schema/material_color.schema.json) |

## swatch Type

`object` ([Swatch](material_color-properties-swatch.md))

## swatch Examples

```json
{
  "50": "0xFF0000FF",
  "100": "0xFF000F0F",
  "200": "0xFF000FF0",
  "300": "0xFF00F0F0",
  "400": "0xFF00FF00",
  "500": "0xFF0F000F",
  "600": "0xFF0F00F0",
  "700": "0xFF0F0F00",
  "800": "0xFF0FF000",
  "900": "0xFFF0000F"
}
```

# Swatch Properties

| Property    | Type   | Required | Nullable       | Defined by                                                                                                                                                |
| :---------- | ------ | -------- | -------------- | :-------------------------------------------------------------------------------------------------------------------------------------------------------- |
| [50](#50)   | Merged | Optional | cannot be null | [Material Color](app_bar_theme-properties-color.md)  |
| [100](#100) | Merged | Optional | cannot be null | [Material Color](app_bar_theme-properties-color.md) |
| [200](#200) | Merged | Optional | cannot be null | [Material Color](app_bar_theme-properties-color.md) |
| [300](#300) | Merged | Optional | cannot be null | [Material Color](app_bar_theme-properties-color.md) |
| [400](#400) | Merged | Optional | cannot be null | [Material Color](app_bar_theme-properties-color.md) |
| [500](#500) | Merged | Optional | cannot be null | [Material Color](app_bar_theme-properties-color.md) |
| [600](#600) | Merged | Optional | cannot be null | [Material Color](app_bar_theme-properties-color.md) |
| [700](#700) | Merged | Optional | cannot be null | [Material Color](app_bar_theme-properties-color.md) |
| [800](#800) | Merged | Optional | cannot be null | [Material Color](app_bar_theme-properties-color.md) |
| [900](#900) | Merged | Optional | cannot be null | [Material Color](app_bar_theme-properties-color.md) |

## 50

A number in format string or integer


> Used to identify parser. Every parser can permit only one type
>

`50`

-   is optional
-   Type: merged type ([Color](app_bar_theme-properties-color.md))
-   cannot be null
-   defined in: [Material Color](app_bar_theme-properties-color.md)

### 50 Type

merged type ([Color](app_bar_theme-properties-color.md))

all of

-   [Integer](color-allof-integer.md)

### 50 Default Value

The default value is:

```json
"0xFF000000"
```

### 50 Examples

```json
"#FFFFFFFF"
```

```json
"0xFFFFFFFF"
```

```json
"4294967295"
```

```json
4294967295
```

## 100

A number in format string or integer


> Used to identify parser. Every parser can permit only one type
>

`100`

-   is optional
-   Type: merged type ([Color](app_bar_theme-properties-color.md))
-   cannot be null
-   defined in: [Material Color](app_bar_theme-properties-color.md)

### 100 Type

merged type ([Color](app_bar_theme-properties-color.md))

all of

-   [Integer](color-allof-integer.md)

### 100 Default Value

The default value is:

```json
"0xFF000000"
```

### 100 Examples

```json
"#FFFFFFFF"
```

```json
"0xFFFFFFFF"
```

```json
"4294967295"
```

```json
4294967295
```

## 200

A number in format string or integer


> Used to identify parser. Every parser can permit only one type
>

`200`

-   is optional
-   Type: merged type ([Color](app_bar_theme-properties-color.md))
-   cannot be null
-   defined in: [Material Color](app_bar_theme-properties-color.md)

### 200 Type

merged type ([Color](app_bar_theme-properties-color.md))

all of

-   [Integer](color-allof-integer.md)

### 200 Default Value

The default value is:

```json
"0xFF000000"
```

### 200 Examples

```json
"#FFFFFFFF"
```

```json
"0xFFFFFFFF"
```

```json
"4294967295"
```

```json
4294967295
```

## 300

A number in format string or integer


> Used to identify parser. Every parser can permit only one type
>

`300`

-   is optional
-   Type: merged type ([Color](app_bar_theme-properties-color.md))
-   cannot be null
-   defined in: [Material Color](app_bar_theme-properties-color.md)

### 300 Type

merged type ([Color](app_bar_theme-properties-color.md))

all of

-   [Integer](color-allof-integer.md)

### 300 Default Value

The default value is:

```json
"0xFF000000"
```

### 300 Examples

```json
"#FFFFFFFF"
```

```json
"0xFFFFFFFF"
```

```json
"4294967295"
```

```json
4294967295
```

## 400

A number in format string or integer


> Used to identify parser. Every parser can permit only one type
>

`400`

-   is optional
-   Type: merged type ([Color](app_bar_theme-properties-color.md))
-   cannot be null
-   defined in: [Material Color](app_bar_theme-properties-color.md)

### 400 Type

merged type ([Color](app_bar_theme-properties-color.md))

all of

-   [Integer](color-allof-integer.md)

### 400 Default Value

The default value is:

```json
"0xFF000000"
```

### 400 Examples

```json
"#FFFFFFFF"
```

```json
"0xFFFFFFFF"
```

```json
"4294967295"
```

```json
4294967295
```

## 500

A number in format string or integer


> Used to identify parser. Every parser can permit only one type
>

`500`

-   is optional
-   Type: merged type ([Color](app_bar_theme-properties-color.md))
-   cannot be null
-   defined in: [Material Color](app_bar_theme-properties-color.md)

### 500 Type

merged type ([Color](app_bar_theme-properties-color.md))

all of

-   [Integer](color-allof-integer.md)

### 500 Default Value

The default value is:

```json
"0xFF000000"
```

### 500 Examples

```json
"#FFFFFFFF"
```

```json
"0xFFFFFFFF"
```

```json
"4294967295"
```

```json
4294967295
```

## 600

A number in format string or integer


> Used to identify parser. Every parser can permit only one type
>

`600`

-   is optional
-   Type: merged type ([Color](app_bar_theme-properties-color.md))
-   cannot be null
-   defined in: [Material Color](app_bar_theme-properties-color.md)

### 600 Type

merged type ([Color](app_bar_theme-properties-color.md))

all of

-   [Integer](color-allof-integer.md)

### 600 Default Value

The default value is:

```json
"0xFF000000"
```

### 600 Examples

```json
"#FFFFFFFF"
```

```json
"0xFFFFFFFF"
```

```json
"4294967295"
```

```json
4294967295
```

## 700

A number in format string or integer


> Used to identify parser. Every parser can permit only one type
>

`700`

-   is optional
-   Type: merged type ([Color](app_bar_theme-properties-color.md))
-   cannot be null
-   defined in: [Material Color](app_bar_theme-properties-color.md)

### 700 Type

merged type ([Color](app_bar_theme-properties-color.md))

all of

-   [Integer](color-allof-integer.md)

### 700 Default Value

The default value is:

```json
"0xFF000000"
```

### 700 Examples

```json
"#FFFFFFFF"
```

```json
"0xFFFFFFFF"
```

```json
"4294967295"
```

```json
4294967295
```

## 800

A number in format string or integer


> Used to identify parser. Every parser can permit only one type
>

`800`

-   is optional
-   Type: merged type ([Color](app_bar_theme-properties-color.md))
-   cannot be null
-   defined in: [Material Color](app_bar_theme-properties-color.md)

### 800 Type

merged type ([Color](app_bar_theme-properties-color.md))

all of

-   [Integer](color-allof-integer.md)

### 800 Default Value

The default value is:

```json
"0xFF000000"
```

### 800 Examples

```json
"#FFFFFFFF"
```

```json
"0xFFFFFFFF"
```

```json
"4294967295"
```

```json
4294967295
```

## 900

A number in format string or integer


> Used to identify parser. Every parser can permit only one type
>

`900`

-   is optional
-   Type: merged type ([Color](app_bar_theme-properties-color.md))
-   cannot be null
-   defined in: [Material Color](app_bar_theme-properties-color.md)

### 900 Type

merged type ([Color](app_bar_theme-properties-color.md))

all of

-   [Integer](color-allof-integer.md)

### 900 Default Value

The default value is:

```json
"0xFF000000"
```

### 900 Examples

```json
"#FFFFFFFF"
```

```json
"0xFFFFFFFF"
```

```json
"4294967295"
```

```json
4294967295
```
