# Contributing

We are open to, and grateful for, any contributions made by the community.
Thanks for your interest in contributing! Here's a few things to keep in mind when contributing to this project:

## Reporting issues and asking questions

Before opening an issue, please search the [issue tracker](https://github.com/skolmer/es2015-i18n-tag/issues) to make sure your issue hasn’t already been reported.

**We use the issue tracker to keep track of bugs and improvements** to es2015-i18n-tag itself, its examples, and the documentation. We encourage you to open issues to discuss improvements, architecture, internal implementation, etc. If a topic has been discussed before, we will ask you to join the previous discussion.

For support or usage questions, please search and ask on [StackOverflow with a `es2015-i18n-tag` tag](https://stackoverflow.com/questions/tagged/es2015-i18n-tag). We ask you to do this because StackOverflow has a much better job at keeping popular questions visible. Unfortunately good answers get lost and outdated on GitHub.

## Sending a pull request

For non-trivial changes, please open an issue with a proposal for a new feature or refactoring before starting on the work. We don’t want you to waste your efforts on a pull request that we won’t want to accept.

Please try to keep your pull request focused in scope and avoid including unrelated commits.

After you have submitted your pull request, we’ll try to get back to you as soon as possible. We may suggest some changes or improvements.

This project uses `ghooks` to run `commit-msg` and `pre-commit` hooks.

## semantic-release

We use [semantic-release](http://npm.im/semantic-release) to manage releases. This means we have a convention for our commit messages.
**Please follow [our commit message convention](https://github.com/conventional-changelog/conventional-changelog-angular/blob/ed32559941719a130bb0327f886d6a32a8cbc2ba/convention.md)**
even if you're making a small change. This repository follows the
[How to Write an Open Source JavaScript Library](https://egghead.io/series/how-to-write-an-open-source-javascript-library)
series on egghead.io (by yours truly). See
[this lesson](https://egghead.io/lessons/javascript-how-to-write-a-javascript-library-writing-conventional-commits-with-commitizen?series=how-to-write-an-open-source-javascript-library)
and [this repo](https://github.com/ajoslin/conventional-changelog/blob/master/conventions/angular.md)
to learn more about the commit message conventions.

