# Example Schema

```txt
https://example.com/schemas/example
```

This is an example schema with examples. Too many examples? There can never be too many examples!


| Abstract            | Extensible | Status         | Identifiable | Custom Properties | Additional Properties | Access Restrictions | Defined In                                                                             |
| :------------------ | ---------- | -------------- | ------------ | :---------------- | --------------------- | ------------------- | -------------------------------------------------------------------------------------- |
| Can be instantiated | No         | Unknown status | No           | Forbidden         | Allowed               | none                | [example.schema.json](../generated-schemas/example.schema.json "open original schema") |

## Example Type

`object` ([Example](example.md))

## Example Examples

```json
{
  "foo": "bar",
  "bar": "baz"
}
```

# Example Properties

| Property    | Type     | Required | Nullable       | Defined by                                                                                      |
| :---------- | -------- | -------- | -------------- | :---------------------------------------------------------------------------------------------- |
| [foo](#foo) | `string` | Optional | cannot be null | [Example](example-properties-foo.md "https&#x3A;//example.com/schemas/example#/properties/foo") |
| [bar](#bar) | `string` | Optional | cannot be null | [Example](example-properties-bar.md "https&#x3A;//example.com/schemas/example#/properties/bar") |

## foo

A simple string.


`foo`

-   is optional
-   Type: `string`
-   cannot be null
-   defined in: [Example](example-properties-foo.md "https&#x3A;//example.com/schemas/example#/properties/foo")

### foo Type

`string`

### foo Examples

```json
"bar"
```

## bar

A simple string.


`bar`

-   is optional
-   Type: `string`
-   cannot be null
-   defined in: [Example](example-properties-bar.md "https&#x3A;//example.com/schemas/example#/properties/bar")

### bar Type

`string`

### bar Examples

```json
"bar"
```

```json
"baz"
```
